Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
DistributedLargeBlobSender Class Reference
Inheritance diagram for DistributedLargeBlobSender:

## Public Member Functions
| __init__ (self, cr)
| announceGenerate (self)
| generate (self)
| getBlob (self)
| isComplete (self)
| privOnBlobComplete (self)
| sendAck (self)
| setChunk (self, chunk)
| setDoneEvent (self, event)
| setFilename (self, filename)
| setMode (self, mode)
| setTargetAvId (self, avId)
Public Member Functions inherited from DistributedObject
| __init__ (self, cr)
| addInterest (self, zoneId, note="", event=None)
| b_setLocation (self, parentId, zoneId)
| d_setLocation (self, parentId, zoneId)
| delete (self)
| deleteOrDelay (self)
| disable (self)
| disableAndAnnounce (self)
| disableAnnounceAndDelete (self)
| doCallbackContext (self, context, args)
| doneBarrier (self, name=None)
| execCommand (self, string, mwMgrId, avId, zoneId)
| flushCachedData (self, name)
| generateInit (self)
| getAutoInterests (self)
| getBarrierData (self)
| getCacheable (self)
| getCachedData (self, name)
| getCallback (self, context)
| getCallbackArgs (self, context)
| getCallbackContext (self, callback, extraArgs=[])
| getCurrentContexts (self)
| getDelayDeleteCount (self)
| getDelayDeleteEvent (self)
| getDisableEvent (self)
| getDoId (self)
| getLocation (self)
| getNeverDisable (self)
| getParentObj (self)
| hasCachedData (self, name)
| isDisabled (self)
| isGenerated (self)
| isGridParent (self)
| isLocal (self)
| postGenerateMessage (self)
| removeInterest (self, handle, event=None)
| sendDeleteMsg (self)
| sendDisableMsg (self)
| sendUpdate (self, fieldName, args=[], sendToId=None)
| setBarrierData (self, data)
| setCacheable (self, bool)
| setCachedData (self, name, data)
| setLocation (self, parentId, zoneId)
| setNeverDisable (self, bool)
| status (self, indent=0)
| taskName (self, taskString)
| uniqueName (self, idString)
| updateAllRequiredFields (self, dclass, di)
| updateRequiredFields (self, dclass, di)
| updateRequiredOtherFields (self, dclass, di)
Public Member Functions inherited from DistributedObjectBase
| __init__ (self, cr)
| handleChildArrive (self, childObj, zoneId)
| handleChildArriveZone (self, childObj, zoneId)
| handleChildLeave (self, childObj, zoneId)
| handleChildLeaveZone (self, childObj, zoneId)
| handleQueryObjectChildrenLocalDone (self, context)
| hasParentingRules (self)
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Public Attributes
str | blob = ''
int | complete = 0
| doneEvent = None
| mode = mode
| targetAvId = avId
| useDisk = mode & LargeBlobSenderConsts.USE_DISK
Public Attributes inherited from DistributedObject
| activeState = ESNew
| autoInterests = autoInterests
| cacheable = ESGenerated:
| dclass = None
| destroyDoStackTrace
int | DistributedObject_deleted = 1
int | DistributedObject_initialized = 1
Public Attributes inherited from DistributedObjectBase
| cr = cr
| doId
int | parentId = None
| zoneId = None

## Additional Inherited Members
Static Public Attributes inherited from DistributedObject
int | neverDisable = 0
Static Public Attributes inherited from DistributedObjectBase
| notify = directNotify.newCategory("DistributedObjectBase")
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask
Protected Member Functions inherited from DistributedObject
| _deactivateDO (self)
| _destroyDO (self)
| _retrieveCachedData (self)
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)
Protected Attributes inherited from DistributedObject
| _cachedData = self.cr.doDataCache.popCachedData(self.doId)
int | _delayDeleted = 0
bool | _delayDeleteForceAllow = False
dict | _token2delayDeleteName = {}
Protected Attributes inherited from DirectObject
dict | _taskList = {}

## Detailed Description

    DistributedLargeBlobSender: for sending large chunks of data through
    the DC system

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | cr )

## Member Function Documentation

## ◆ announceGenerate()

announceGenerate | ( |  | self | ) |

    Sends a message to the world after the object has been
    generated and all of its required fields filled in.

Reimplemented from DistributedObject.

## ◆ generate()

generate | ( |  | self | ) |

    Inheritors should redefine this to take appropriate action on generate

Reimplemented from DistributedObject.

## ◆ getBlob()

getBlob | ( |  | self | ) |

     returns the full blob

## ◆ isComplete()

isComplete | ( |  | self | ) |

     returns non-zero if we've got the full blob

## ◆ privOnBlobComplete()

privOnBlobComplete | ( |  | self | ) |

## ◆ sendAck()

sendAck | ( |  | self | ) |

## ◆ setChunk()

setChunk | ( |  | self,
|  |  | chunk )

## ◆ setDoneEvent()

setDoneEvent | ( |  | self,
|  |  | event )

## ◆ setFilename()

setFilename | ( |  | self,
|  |  | filename )

## ◆ setMode()

setMode | ( |  | self,
|  |  | mode )

## ◆ setTargetAvId()

setTargetAvId | ( |  | self,
|  |  | avId )

## Member Data Documentation

## ◆ blob

str blob = ''

## ◆ complete

int complete = 0

## ◆ doneEvent

doneEvent = None

## ◆ mode

mode = mode

## ◆ targetAvId

targetAvId = avId

## ◆ useDisk

useDisk = mode & LargeBlobSenderConsts.USE_DISK